import 'package:flutter/cupertino.dart';
import 'package:ym_flutter_widget/compatible/ym_constants.dart';
import '../../compatible/ym_compatible_ui.dart' if (dart.library.html) 'dart:ui' as ui;
import '../../compatible/ym_compatible_html.dart' if (dart.library.html) 'dart:html' as html;

class YmNetworkImage extends StatelessWidget {

  String url;
  YmPlatform platform = YmPlatform.web;

  YmNetworkImage({
    required this.url,
    required this.platform,
  });

  @override
  Widget build(BuildContext context) {

    if(platform == YmPlatform.web){
      ui.platformViewRegistry.registerViewFactory(
        url, (int _) => html.ImageElement()..src = url,
      );
      return HtmlElementView(
        viewType: url,
      );
    }else{
      return Image.network(url);
    }

  }
}